>From b3f7adca335b810da7433e65ff851a42bed426c2 Mon Sep 17 00:00:00 2001
From: Zoran Turalija <zoran.turalija@gmail.com>
Date: Wed, 17 Apr 2013 11:24:43 +0200
Subject: [PATCH] Fix bunch of warnings about GNU extension under clang.

Clang complaints are like:
./dvblast.h:136:22: warning: field 'raw_pkt_header' with variable sized type
      'struct udprawpkt' not at the end of a struct or class is a GNU extension
      [-Wgnu]
    struct udprawpkt raw_pkt_header;
                     ^
---
 dvblast.h |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/dvblast.h b/dvblast.h
index eb7f9d3..afae63c 100644
--- a/dvblast.h
+++ b/dvblast.h
@@ -130,7 +130,6 @@ typedef struct output_t
     /* output */
     int i_handle;
     packet_t *p_packets, *p_last_packet;
-    struct udprawpkt raw_pkt_header;
     uint16_t i_seqnum;
     mtime_t i_ref_timestamp;
     mtime_t i_ref_wallclock;
@@ -157,6 +156,8 @@ typedef struct output_t
     /* For pidmap from config file */
     bool b_do_remap;
     uint16_t pi_confpids[N_MAP_PIDS];
+
+    struct udprawpkt raw_pkt_header;
 } output_t;
 
 typedef struct ts_pid_info {
-- 
1.7.10.4

